-- Weapon Hudtxt by MikuAuahDark

-- User Configuration
WTXT_Initial_X=5		-- X Position of Weapon Information
WTXT_Initial_Y=100		-- Y Position of Weapon Information
WTXT_Wrap_W_PX=25		-- Addtional X-Pixels for weapons name(a.k.a indents)
WTXT_Normal_Color={255,255,255}	-- Normal/unselected hudtxt color
WTXT_Selected={255,0,0}		-- Selected hudtxt color
WTXT_Update_Method="ms100"	-- Update method(It can be: always,ms100,second(DON'T USE "minute"))
WTXT_Max_Hudtxt=20		-- Max hudtxt ID that allowed to used by this LUA(From 0-19 if 20)
-- End of User Configuration

function WTXT_Hud_Update(id)
	local Colors=function(t)
		return "\169"..string.format("%03d%03d%03d",unpack(t))
	end
	local itemtype=itemtype
	local playerweapons=playerweapons(id)
	table.sort(playerweapons)
	local weaponstring={{},{},{},{},{},{}}
	local weaponstring_s={
		Colors(WTXT_Normal_Color).."1. Primary: (",
		Colors(WTXT_Normal_Color).."2. Secondary: (",
		Colors(WTXT_Normal_Color).."3. Melee: (",
		Colors(WTXT_Normal_Color).."4. Grenades: (",
		Colors(WTXT_Normal_Color).."5. Bomb: (",
		Colors(WTXT_Normal_Color).."6. Satchel Charge: ("
	}
	for n,v in pairs(playerweapons) do
		local slot=itemtype(v,"slot")
		if v==player(id,"weapon") then
			weaponstring_s[slot]=weaponstring_s[slot]..Colors(WTXT_Selected)..v..Colors(WTXT_Normal_Color)..","
			table.insert(weaponstring[slot],Colors(WTXT_Selected)..v.." - "..itemtype(v,"name"))
		else
			weaponstring_s[slot]=weaponstring_s[slot]..v..","
			table.insert(weaponstring[slot],Colors(WTXT_Normal_Color)..v.." - "..itemtype(v,"name"))
		end
	end
	local addt=0
	local hudtxtadd=-1
	local br=false
	for n,v in pairs(weaponstring) do
		if #v>0 then
			hudtxtadd=hudtxtadd+1
			parse("hudtxt2 "..id.." "..hudtxtadd.." \""..weaponstring_s[n]:sub(1,-2)..")\" "..WTXT_Initial_X.." "..WTXT_Initial_Y+addt)
			addt=addt+16
			for _,str in pairs(v) do
				hudtxtadd=hudtxtadd+1
				if hudtxtadd==WTXT_Max_Hudtxt-1 then
					br=true
					break
				end
				parse("hudtxt2 "..id.." "..hudtxtadd.." \""..str.."\" "..(WTXT_Initial_X+WTXT_Wrap_W_PX).." "..WTXT_Initial_Y+addt)
				addt=addt+16
			end
		end
		if br==true then
			break
		end
	end
	for i=hudtxtadd+1,49 do
		parse("hudtxt2 "..id.." "..i)
	end
end

addhook(WTXT_Update_Method,"test123ok")
function test123ok()
	for n,v in pairs(player(0,"tableliving")) do
		WTXT_Hud_Update(v)
	end
end